Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.graph
Class VertexImageShaperDemo.LayeredIcon

    java.lang.Object
      javax.swing.ImageIcon
          samples.graph.VertexImageShaperDemo.LayeredIcon

All Implemented Interfaces:
  Accessible, Icon, Serializable

Enclosing class:
  VertexImageShaperDemo

public static class VertexImageShaperDemo.LayeredIcon
extends ImageIcon

An icon that is made up of a collection of Icons. They are rendered in layers starting with the first Icon added (from the constructor).

Author:
  Tom Nelson - RABA Technologies
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.ImageIcon
`ImageIcon.AccessibleImageIcon`

Field Summary

Fields inherited from class javax.swing.ImageIcon
`component, tracker`

Constructor Summary
`VertexImageShaperDemo.LayeredIcon(Image image)`

Method Summary
`void` | `add(Icon icon)`
`void` | `paintIcon(Component c, Graphics g, int x, int y)`
`boolean` | `remove(Icon icon)`

Methods inherited from class javax.swing.ImageIcon
`getAccessibleContext, getDescription, getIconHeight, getIconWidth, getImage, getImageLoadStatus, getImageObserver, loadImage, setDescription, setImage, setImageObserver, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VertexImageShaperDemo.LayeredIcon

    public VertexImageShaperDemo.LayeredIcon(Image image)

Method Detail

### paintIcon

    public void paintIcon(Component c,
                          Graphics g,
                          int x,
                          int y)

### add

    public void add(Icon icon)

### remove

    public boolean remove(Icon icon)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD